import Taro, { Component } from '@tarojs/taro'
import { View, Button, Text,Image } from '@tarojs/components'
import { AtIcon } from 'taro-ui'

import './filteredShopComponent.scss'
const hornIcon = require('../../icons/horn.png')
const houseIcon = require('../../icons/house.png')



class recommondShop extends Component {

    config = {
        navigationBarTitleText: 'recommondShop'
    }
    
    componentWillReceiveProps(nextProps) {
        //console.log(this.props, nextProps)
    }

    componentWillUnmount() { }

    componentDidShow() { }

    componentDidHide() { }

    render() {
        
        const title = this.props.shop.shop_name
        const imgUrl = 'http://192.168.1.230/' + this.props.shop.goods[0].goods_url
        const price = this.props.shop.goods[0].goods_price
        const goods = this.props.shop.goods
        const ProductName = this.props.shop.goods[0].goods_name
        const address = this.props.shop.shop_address
        const distance = this.props.shop.distance
        const ads = this.props.shop.ads
        
       // const consultText = this.props.shop.wx_open
        const voucherLeft = this.props.shop.left_nums
        const goodsElementsArray=goods.slice(1).map((item,index)=>{
            return <View className='goods-img-box' key={index}>
                <Image className='goods-img' src={'http://192.168.1.230/'+item.goods_url} />
            </View>
        })
        return (
            <View className='shop-list-box'>
                <View className='header'>
                    <View className='title'>
                        <Image src={ads==0 ? hornIcon :houseIcon} style='width:12px; height:12px; vertical-align: middle;'/>
                        <Text style='margin-left:2px; vertical-align: middle;'>  {title}</Text>
                    </View>
                    <View className='consult-voucher-button' >
                        <Button style='padding:0' className={voucherLeft ? 'voucher-button-text voucher' : 'voucher-button-text'} >优惠卷</Button>
                        <Button style='padding:0' className='consult-button-text'>咨询</Button>
                       
                    </View>
                </View>
                <View className='body'>
                    <View className='shop-img'>
                        <Image src={imgUrl}/>
                    </View>
                    {goods.length !== 1 ? goodsElementsArray:<View className='details'>
                        <View className='details-block'><Text className='details-text'>商品:</Text> <Text>{ProductName}</Text></View>
                        <View className='details-block'><Text className='details-text'>价格: </Text><Text>{price}</Text></View>
                    </View>}
                    
                </View>
                <View className='footer'>
                    <View className='address'>
                        <AtIcon value='map-pin' size='15' color='#FF7142'></AtIcon>
                    {address} </View>
                    <View className='distance'><Text>{distance}</Text></View>
                   
                </View>
            </View>
        )
    }
}

export default recommondShop
